## AgsFxLfoChannel

AgsFxLfoChannel — fx lfo channel

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFxLfoChannelInputData * | ags_fx_lfo_channel_input_data_alloc ()
void | ags_fx_lfo_channel_input_data_free ()
AgsFxLfoChannel * | ags_fx_lfo_channel_new ()

## Properties

AgsPort * | enabled | Read / Write
AgsPort * | lfo-depth | Read / Write
AgsPort * | lfo-freq | Read / Write
AgsPort * | lfo-phase | Read / Write
AgsPort * | lfo-tuning | Read / Write
AgsPort * | lfo-wave | Read / Write

## Types and Values

struct | AgsFxLfoChannelInputData

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ╰── AgsFxLfoChannel

## Includes

    #include <ags/audio/fx/ags_fx_lfo_channel.h>

## Description

The AgsFxLfoChannel class provides ports to the effect processor.

## Functions

### ags_fx_lfo_channel_input_data_alloc ()

    AgsFxLfoChannelInputData *
    ags_fx_lfo_channel_input_data_alloc ();

Allocate AgsFxLfoChannelInputData

#### Returns

the new AgsFxLfoChannelInputData

Since: 4.0.0

### ags_fx_lfo_channel_input_data_free ()

    void
    ags_fx_lfo_channel_input_data_free (AgsFxLfoChannelInputData *input_data);

Free `input_data` .

#### Parameters

input_data | the AgsFxLfoChannelInputData |

Since: 3.3.0

### ags_fx_lfo_channel_new ()

    AgsFxLfoChannel *
    ags_fx_lfo_channel_new (AgsChannel *channel);

Create a new instance of AgsFxLfoChannel

#### Parameters

channel | the AgsChannel |

#### Returns

the new AgsFxLfoChannel

Since: 3.8.0

## Types and Values

### struct AgsFxLfoChannelInputData

    struct AgsFxLfoChannelInputData {
      GRecMutex strct_mutex;

      gpointer parent;

      AgsLFOSynthUtil *lfo_synth_util;
    };

## Property Details

### The `“enabled”` property

      “enabled”                  AgsPort *

The enable control of LFO.

Owner: AgsFxLfoChannel

Flags: Read / Write

Since: 3.8.0

### The `“lfo-depth”` property

      “lfo-depth”                AgsPort *

The depth of LFO.

Owner: AgsFxLfoChannel

Flags: Read / Write

Since: 3.8.0

### The `“lfo-freq”` property

      “lfo-freq”                 AgsPort *

The freq of LFO.

Owner: AgsFxLfoChannel

Flags: Read / Write

Since: 3.8.0

### The `“lfo-phase”` property

      “lfo-phase”                AgsPort *

The phase of LFO.

Owner: AgsFxLfoChannel

Flags: Read / Write

Since: 3.8.0

### The `“lfo-tuning”` property

      “lfo-tuning”               AgsPort *

The tuning of LFO.

Owner: AgsFxLfoChannel

Flags: Read / Write

Since: 3.8.0

### The `“lfo-wave”` property

      “lfo-wave”                 AgsPort *

The wave of LFO.

Owner: AgsFxLfoChannel

Flags: Read / Write

Since: 3.8.0